Package de.willuhn.jameica.hbci.rmi

# Interface DBProperty

All Superinterfaces:
  `de.willuhn.datasource.rmi.Changeable`, `de.willuhn.datasource.rmi.DBObject`, `de.willuhn.datasource.GenericObject`, `Remote`, `de.willuhn.datasource.rmi.Transactionable`

All Known Implementing Classes:
  `DBPropertyImpl`

public interface DBProperty extends de.willuhn.datasource.rmi.DBObject
Interface fuer einen einzelnen datenbank-gestuetzten Parameter.

## Method Summary

Modifier and Type
Method
Description
`String`
`getName()`
Liefert den Namen des Parameters.
`String`
`getValue()`
Liefert den Wert des Parameters.
`void`
`setName(String name)`
Speichert den Namen des Parameters.
`void`
`setValue(String value)`
Speichert den Wert des Parameters.

### Methods inherited from interface de.willuhn.datasource.rmi.Changeable

`clear, delete, isNewObject, overwrite, store`

### Methods inherited from interface de.willuhn.datasource.rmi.DBObject

`addDeleteListener, addStoreListener, equals, getAttribute, getAttributeType, getList, getPrimaryAttribute, load, removeDeleteListener, removeStoreListener`

### Methods inherited from interface de.willuhn.datasource.GenericObject

`getAttributeNames, getID`

### Methods inherited from interface de.willuhn.datasource.rmi.Transactionable

`transactionBegin, transactionCommit, transactionRollback`

## Method Details

### getName

String getName() throws RemoteException
Liefert den Namen des Parameters.

Returns:
  Name des Parameters.
Throws:
  `RemoteException`

### setName

void setName(String name) throws RemoteException
Speichert den Namen des Parameters.

Parameters:
  `name` - Name des Parameters.
Throws:
  `RemoteException`

### getValue

String getValue() throws RemoteException
Liefert den Wert des Parameters.

Returns:
  Wert des Parameters.
Throws:
  `RemoteException`

### setValue

void setValue(String value) throws RemoteException
Speichert den Wert des Parameters.

Parameters:
  `value` - Wert des Parameters.
Throws:
  `RemoteException`